<ion-card>
  <div class="left_timer">
    <button ion-button icon-left clear small color="primary" (click)="startTimer()" item-right *ngIf="!hasStarted()">
      <ion-icon name="play"></ion-icon>
      Start
    </button>

    <button ion-button icon-left clear small color="primary" (click)="pauseTimer()" item-right *ngIf="hasStarted() && !hasPaused()">
      <ion-icon name="pause"></ion-icon>
      Pause
    </button>

    <button ion-button icon-left clear small color="primary" (click)="resumeTimer()" item-right *ngIf="hasStarted() && hasPaused()">
      <ion-icon name="play"></ion-icon>
      Resume
    </button>
  </div>

  <div class="center_timer">
    <button ion-button full clear class="timer-button timer-text">{{ getDisplayTime() }}</button>
  </div>

  <div class="right_timer">
    <button ion-button icon-left clear color="danger" small (click)="resetTimer()" item-left *ngIf="hasStarted()">
      <ion-icon name="refresh"></ion-icon>
      Refresh
    </button>
  </div>

</ion-card>
